<?php use_helper('UrlFunctions'); ?>


<?php

//error_reporting(E_ALL);
//ini_set('display_errors','On'); //PARA PRODUCCION "Off"
$s_User = myUser::getUser()->getUserId();
if( $b_Control )
{
	
	
	$o_ArArqueoCabeceraFN = new ArArqueoCabeceraFN();
    $o_ArArqueoCabeceraFN->setIdclase($idclase);
    $o_ArArqueoCabeceraFN->setIdsucursal($idsucursal);
    $o_ArArqueoCabeceraFN->setIdmercado($idmercado);
    $o_ArArqueoCabeceraFN->setIdcolaborador($idcolaborador);
    $o_ArArqueoCabeceraFN->setFecha($fecha);
    $o_ArArqueoCabeceraBN = $o_ArArqueoCabeceraFN->selectByPK();
    
    $o_BalanceDiaNew = new BalanceDiaBean();
    $o_BalanceDiaNew->setIdSucursal($idsucursal); 
    $o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
    $fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();
	
	if($fecha != $fechaBalanceAbierto) exit("No esta permitido esta operacion");
	
	$Idgastoreferencia = $o_ArArqueoCabeceraBN->getIdgastoreferencia();
	
    $o_ArArqueoDetalleDepositoDP = new ArArqueoDetalleDepositoDP();
	$o_ArArqueoDetalleDepositoDP->setIdclase($idclase);
	$o_ArArqueoDetalleDepositoDP->setIdsucursal((int)$idsucursal);
	$o_ArArqueoDetalleDepositoDP->setIdmercado((int)$idmercado);
	$o_ArArqueoDetalleDepositoDP->setIdcolaborador((int)$idcolaborador);
	$o_ArArqueoDetalleDepositoDP->setFecha($fecha);
	$o_ArArqueoDetalleDepositoDP->setIdcliente((int)$idcliente);
	$o_ArArqueoDetalleDepositoDP->setIdprestamo((int)$idprestamo);
	$o_ArArqueoDetalleDepositoDP->setNumeroboucher($numerovoucher);
	

    if( isset( $i_IdCli ) )
    {
        //UPDATE
        $o_ArArqueoDetalleDepositoDP->setEstado( $estado );
        $o_ArArqueoDetalleDepositoDP->setComentario( $ObservacionFinal );
		if($estado == "R"){
			$o_ArArqueoDetalleDepositoDP->setUsuariorechazo ( $s_User );
			$o_ArArqueoDetalleDepositoDP->setFecharechazo ( date( "Y-m-d H:i:s" ) );
		}
		if($estado == "C"){
			$o_ArArqueoDetalleDepositoDP->setUsuarioaprobacion ( $s_User );
			$o_ArArqueoDetalleDepositoDP->setFechaaprobacion ( date( "Y-m-d H:i:s" ) );
			
			////////////////////////////////////////////////////////////
			$o_ArArqueoDetalleDepositoFN = new ArArqueoDetalleDepositoFN();
            $o_ArArqueoDetalleDepositoFN->setIdclase( $idclase );
            $o_ArArqueoDetalleDepositoFN->setIdsucursal( $idsucursal );
            $o_ArArqueoDetalleDepositoFN->setIdmercado( $idmercado);
            $o_ArArqueoDetalleDepositoFN->setIdcolaborador( $idcolaborador );
            $o_ArArqueoDetalleDepositoFN->setFecha( $fecha );
            $o_ArArqueoDetalleDepositoFN->setIdcliente( $idcliente);
            $o_ArArqueoDetalleDepositoFN->setIdprestamo( $idprestamo );
            $o_ArArqueoDetalleDepositoFN->setNumeroboucher( $numerovoucher );
            $o_ArArqueoDetalleDepositoBN = $o_ArArqueoDetalleDepositoFN->selectByPK();
			
			
			$id_pago_update ="";
        	$MontoPago = $o_ArArqueoDetalleDepositoBN->getSubtotal();
        	$idPrestamo = $o_ArArqueoDetalleDepositoBN->getIdprestamo();
        	$idCliente = $o_ArArqueoDetalleDepositoBN->getIdcliente();
        	$Idpagoreferencia = $o_ArArqueoDetalleDepositoBN->getIdpagoreferencia();
        	$EstadoDeposito = $o_ArArqueoDetalleDepositoBN->getEstado();
        	
        	if($EstadoDeposito != "P") exit("No se puede aplicar este deposito por no estar en estado pendiente");
        	
        	$o_BalanceDia = new BalanceDiaBean();
            $o_BalanceDia->setIdSucursal($idsucursal);
            $o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
            $fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();
            
        	if($MontoPago == "0"){
        		//Preguntar si esta registrado en ese dia un Pago
        		$o_PagoBean = new PagoBean();
        		$o_PagoBean->setIdPrestamo($idprestamo);
        		$o_PagoBean->setFechaPago($fecha);
        		$o_PagoBL = new PagoBL();
        		$a_o_pago = $o_PagoBL->busquedaPago($o_PagoBean);
        		if(is_array($a_o_pago) && count($a_o_pago)){
        			$permtir_reg_pago = "0";
        		}else{
        			$permtir_reg_pago = "1";
        		}
        	}else{
        		$permtir_reg_pago = "1";
        		$o_PagoBean = new PagoBean();
        		$o_PagoBean->setIdPrestamo($idprestamo);
        		$o_PagoBean->setFechaPago($fecha);
        		$o_PagoBL = new PagoBL();
        		$a_o_pago = $o_PagoBL->busquedaPago($o_PagoBean);
        		
        		if(is_array($a_o_pago) && count($a_o_pago)){//Update del Pago
        			foreach ($a_o_pago as $key => $o_pago) {
        				if($o_pago->getMontoPago()== 0){
        					$id_pago_update = $o_pago->getIdPago();
        				}
        			}
        		}
        	}
        	if($permtir_reg_pago){
        	    $MontoPago = abs($MontoPago);
        		$o_PagoBean = new PagoBean();
        		$o_PagoBean->setIdPrestamo($idprestamo);
        		$o_PagoBean->setMontoPago($MontoPago);
        		$o_PagoBean->setTipoPago(3);
        		$o_PagoBean->setFechaPago($fecha);
        		$o_PagoBean->setUsuarioCreacion(myUser::getUser()->getUserId());
        		$o_PagoBean->setIdColaborador($idcolaborador);
        		$o_PagoBean->setFechaCreacion(date('Y-m-d H:i:s'));
        		$o_PagoBean->setTiporeferencia($idclase);
        		$o_PagoBL = new PagoBL();
        		if($id_pago_update){
        			$o_PagoBean->setIdPago($id_pago_update);
        			$o_PagoBL->modificarPago($o_PagoBean);
        			$idPago = $id_pago_update;
        		}else{
        			$idPago = $o_PagoBL->insertarPago($o_PagoBean);
        		}
        		
        		//Actualizar el Saldo del Prestamo-----------------------
        		
        		$o_PrestamoBeanTemp = new PrestamoBean();
        		$o_PrestamoBeanTemp->setIdPrestamo($idprestamo);
        		//$o_PrestamoBLTemp = new PrestamoBL();
        		$o_PrestamoDP = new PrestamoDP($o_PrestamoBeanTemp);
        	    $a_o_Prestamo = $o_PrestamoDP->select();
        		foreach ($a_o_Prestamo as $key =>$o_Prestamo){
        			$SaldoAnterior = $o_Prestamo->getSaldoPrestamo();
        		}
        		$o_PrestamoBean = new PrestamoBean();
        		$o_PrestamoBean->setIdPrestamo($idprestamo);
        		$NuevoSaldo = $SaldoAnterior - $MontoPago;
        		
        		if($NuevoSaldo == 0){
        			$o_PrestamoBean->setSaldoPrestamo("0.00");
        			$o_PrestamoBean->setEstado("C");
        			$o_PrestamoBean->setFechaCancelacion(date('Y-m-d H:i:s'));
        			//Enviar correo
        			
        		}elseif($NuevoSaldo < 0){//Se cancelo con un monto mayor
        			$NuevoSaldo = "0";
        			$o_PrestamoBean->setSaldoPrestamo("0.00");
        			$o_PrestamoBean->setEstado("C");
        			$o_PrestamoBean->setFechaCancelacion(date('Y-m-d H:i:s'));
        			//Enviar correo
        								
        			
        		}else{//Descuento de saldo Normal
        			$o_PrestamoBean->setSaldoPrestamo($NuevoSaldo);	
        		}
        		$o_PrestamoBL = new PrestamoBL();
        		$o_PrestamoBL->modificarPrestamo($o_PrestamoBean);
        	}
        	//Actualizar cada registro con el pago
        	//echo $idPago."*-*-*-*-*-";
        	$o_ArArqueoDetalleDepositoDP->setIdpagoreferencia($idPago);
        	
        	
        	//Fin de Aplicar los pagos a cada prestamo y actualizar saldo
			
			
			
			///////////////////////////////////////////////////////////
		}
		
		
        $b_Result = $o_ArArqueoDetalleDepositoDP->update();
        
        /////////////////////////////////////////////////////////////////
        
        // Buscar todos los depositos
        
        $o_ArArqueoDetalleDepositoFN = new ArArqueoDetalleDepositoFN();
    	$o_ArArqueoDetalleDepositoFN->setIdclase($idclase);
    	$o_ArArqueoDetalleDepositoFN->setIdsucursal((int)$idsucursal);
    	$o_ArArqueoDetalleDepositoFN->setIdmercado((int)$idmercado);
    	$o_ArArqueoDetalleDepositoFN->setIdcolaborador((int)$idcolaborador);
    	$o_ArArqueoDetalleDepositoFN->setFecha($fecha);
    	$o_ArArqueoDetalleDepositoFN->setEstado("C");
    	$a_o_ArArqueoDetalleDepositoBN = $o_ArArqueoDetalleDepositoFN->select();
    	
    	if(is_array($a_o_ArArqueoDetalleDepositoBN)){
    	    $nombrearchvos= null;
    	    $s_nombrearchvos = '';
    	    $subtotal = "0.00";
    		foreach ($a_o_ArArqueoDetalleDepositoBN as $key => $o_ArArqueoDetalleDepositoBN){
    		    $nombrearchvos[] = $o_ArArqueoDetalleDepositoBN->getNombrearchivo();
			    $subtotal += $o_ArArqueoDetalleDepositoBN->getSubtotal();
    		}
    	}
        
        if(is_array($nombrearchvos)) $s_nombrearchvos = implode(";",$nombrearchvos);
        // echo $subtotal;
        // echo "*****";
        // Garabar en Gastos Generales
	
    	$o_ObjectMercadoBean = new MercadoBean();
    	$o_ObjectMercadoBean->setIdMercado($idmercado);
    	
    	$o_classMercadoDP = new MercadoDP($o_ObjectMercadoBean);
    	$o_ObjectBeanMercado = $o_classMercadoDP->selectByPk();
    	if(is_array($o_ObjectBeanMercado)){
    		$ObjectBeanMercado = $o_ObjectBeanMercado[0];
    		$DescripcionMercado = $ObjectBeanMercado->getDescripcion();
    	}else{
    		exit("Debe de existir el mercado");
    	}
    	
    	$o_ObjectColaboradorBean = new ColaboradorBean();
    	$o_ObjectColaboradorBean->setIdColaborador($idcolaborador);
    	
    	$o_classColaboradorDP = new ColaboradorDP($o_ObjectColaboradorBean);
    	$o_ObjectBeanColaborador = $o_classColaboradorDP->selectByPk();
    	if(is_array($o_ObjectBeanColaborador)){
    		$ObjectBeanColaborador = $o_ObjectBeanColaborador[0];
    		$DescripcionColaborador = $ObjectBeanColaborador->getNombres()." ".$ObjectBeanColaborador->getApellidoPaterno()." ".$ObjectBeanColaborador->getApellidoMaterno();
    	}else{
    		exit("Debe de existir el colaborador");
    	}
    	
    	$o_ObjectSucursalBean = new SucursalBean();
    	$o_ObjectSucursalBean->setIdSucursal($idsucursal);
    	
    	$o_classSucursalDP = new SucursalDP($o_ObjectSucursalBean);
    	$o_ObjectBeanSucursal = $o_classSucursalDP->selectByPk();
    	if(is_object($o_ObjectBeanSucursal)){
    		$DescripcionSucursal = $o_ObjectBeanSucursal->getDescripcion();
    	}else{
    		exit("Debe de existir el Sucursal");
    	}
    	
    	
    	$Descripcion = "Sucursal:".$DescripcionSucursal." Mercado:".$DescripcionMercado." Colaborador:".$DescripcionColaborador;
    	
    	$o_GastosGeneralesBean = new GastosGeneralesBean();
    	$o_GastosGeneralesBean->setTipoGasto('3');
    	$o_GastosGeneralesBean->setIdSucursal($idsucursal);
    	$o_GastosGeneralesBean->setDescripcion($Descripcion); 
    	$o_GastosGeneralesBean->setDocumentoReferencia($s_nombrearchvos);
    	$o_GastosGeneralesBean->setMonto($subtotal);
    	$o_GastosGeneralesBean->setFechaGasto($fechaBalanceAbierto);
    	$o_GastosGeneralesBean->setEstado("A");
    	$o_GastosGeneralesBean->setFechaCreacion(date("Y-m-d H:i:s"));
    	$o_GastosGeneralesBean->setUsuarioCreacion(myUser::getUser()->getUserId());
    	
    	if($Idgastoreferencia==0){
    	    $o_GastosGeneralesBean->setDescripcion("DEPOSITO-CLIENTE::".$Descripcion); 
    	    $o_GastosGeneralesBean->setEstado("A");
    	    $o_GastosGeneralesBean->setFechaGasto($fechaBalanceAbierto);
    	    $o_GastosGeneralesBean->setFechaCreacion(date("Y-m-d H:i:s"));
    	    $o_GastosGeneralesBean->setUsuarioCreacion(myUser::getUser()->getUserId());
    	    $o_GastosGeneralesSystemClass = new GastosGeneralesSystemClass($o_GastosGeneralesBean);
    	    $bResult = $o_GastosGeneralesSystemClass->insertGastosGenerales();
    	}else{
    	    $o_GastosGeneralesBean->setIdGasto($Idgastoreferencia);
    	    $o_GastosGeneralesBean->setFechaModificacion(date("Y-m-d H:i:s"));
    	    $o_GastosGeneralesBean->setUsuarioModificacion(myUser::getUser()->getUserId());
    	    $o_GastosGeneralesSystemClass = new GastosGeneralesDP($o_GastosGeneralesBean);
    	    $o_GastosGeneralesSystemClass->update();
    	}
    	
        $o_ArArqueoCabeceraDP = new ArArqueoCabeceraDP();
        $o_ArArqueoCabeceraDP->setIdclase($idclase);
        $o_ArArqueoCabeceraDP->setIdsucursal($idsucursal);
        $o_ArArqueoCabeceraDP->setIdmercado($idmercado);
        $o_ArArqueoCabeceraDP->setIdcolaborador($idcolaborador);
        $o_ArArqueoCabeceraDP->setFecha($fechaBalanceAbierto);
        $o_ArArqueoCabeceraDP->setIdgastoreferencia($bResult);
        $o_ArArqueoCabeceraDP->update();
        
        /////////////////////////////////////////////////////////////////////////////
    }
    else
    {
        //SAVE
    }

    if( $b_Result )
    {
        ?>
        <script>
        parent.findControl();
        parent.objMainTab.windowsCloseAll();
        </script>
        <?php
    }
    else
    {
        echo '<div class="ui-widget" style="margin: 2px;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong> '.$s_MensajeError.'</p></div></div>';
    }
}

?>
<?php
if($i_IdCli)
{
   
    $o_ArArqueoDetalleDepositoFN = new ArArqueoDetalleDepositoFN();
    $o_ArArqueoDetalleDepositoFN->setIdclase( $i_IdClase );
    $o_ArArqueoDetalleDepositoFN->setIdsucursal( $i_IdSuc );
    $o_ArArqueoDetalleDepositoFN->setIdmercado( $i_IdMer );
    $o_ArArqueoDetalleDepositoFN->setIdcolaborador( $i_IdCol );
    $o_ArArqueoDetalleDepositoFN->setFecha( $i_Fec );
    $o_ArArqueoDetalleDepositoFN->setIdcliente( $i_IdCli );
    $o_ArArqueoDetalleDepositoFN->setIdprestamo( $i_IdPre );
    $o_ArArqueoDetalleDepositoFN->setNumeroboucher( $i_NumVou );
	$o_ObjectBean = $o_ArArqueoDetalleDepositoFN->selectByPK();
	echo "asdasdasd";
	print_r($a_ObjectBean);
	//if(is_array($a_ObjectBean))
    if(is_object($o_ObjectBean))
    {
          //while( list( $key, $o_ObjectBean ) = each( $a_ObjectBean ) )
          //{
				//echo "asdasdasd";
              //echo "<pre>"; print_r( $o_ObjectBean ); echo "<pre>";
                $Nombre = $o_ObjectBean->getNombrecliente();
				//echo $Nombre;
                $IdCliente = $o_ObjectBean->getIdcliente();
                $FechaTransaccion = $o_ObjectBean->getFechadeposito();
                $subtotal = $o_ObjectBean->getSubtotal();
                $numeroboucher = $o_ObjectBean->getNumeroboucher();
                $banco = $o_ObjectBean->getBanco();
				$Estado = $o_ObjectBean->getEstado();
                $numerocuenta = $o_ObjectBean->getNumerocuenta();
                
				
          //}
			$o_Cliente = new ClienteBean();
			$o_Cliente->setIdCliente($i_IdCli);
			$o_classCli = new ClienteBL();
			$ObjectBeanCli = $o_classCli->busquedaCliente($o_Cliente);
			$Telefono = $ObjectBeanCli[0]->getTelefono();
			$Celular = $ObjectBeanCli[0]->getCelular();
			$DNI = $ObjectBeanCli[0]->getDni();
			//echo "asdasdasd2";
			
			$o_PrestamoBean = new PrestamoBean();
			$o_PrestamoBean->setIdPrestamo($i_IdPre);
			$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
			$a_o_PrestamoBN = $o_PrestamoDP->select();
			$MontoPrestado = $a_o_PrestamoBN[0]->getMontoPrestado();
			$MontoTotal = $a_o_PrestamoBN[0]->getMontoTotal();
			$InteresPorcentaje = $a_o_PrestamoBN[0]->getInteresPorcentaje();
			$SaldoPrestamo = $a_o_PrestamoBN[0]->getSaldoPrestamo();
			if($EstadoPrestamo == "P") $DescripconEstadoPrestamo = "Pendiente";else $DescripconEstadoPrestamo = "Cancelado";
			$EstadoPrestamo = $a_o_PrestamoBN[0]->getEstado();
			$Origen = $a_o_PrestamoBN[0]->getOrigen();
			if($Origen == "R") $TipoPrestamo = "Renovado";
			if($Origen == "F") $TipoPrestamo = "Refinanciado";
		  
			$o_MercadoBean = new MercadoBean();
			$o_MercadoBean->setIdMercado($i_IdMer);
			$o_class = new MercadoBL();
			$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
			$NombreMercado = $ObjectBean[0]->getDescripcion();
    }
}
?>
                      <fieldset>
                        <legend class="fielsettex"><I>Datos de Cliente</I>(<?php echo $i_IdCli?>)  </legend>
                         <table width="100%" border="0" cellpadding="0">
                               <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label"><?php echo $Nombre." - ".$IdCliente ?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                                <td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
                                <td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo strtoupper($NombreMercado)?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                              <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Tel&eacute;fono </label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label req"><?php echo $Telefono?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                                <td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Celular</label></td>
                                <td nowrap="nowrap" align="left">&nbsp;&nbsp;<label class="label"><?php echo $Celular;?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                              <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >DNI</label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label req"><?php echo $DNI?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                        </table>
						</fieldset>
						<fieldset>
                        <legend class="fielsettex"><I>Datos del Prestamo</I> (<?php echo $i_IdPre?>)</legend>
                         <table width="100%" border="0" cellpadding="0">
                               <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Monto Prestado </label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label"><?php echo $MontoPrestado ?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                                <td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Interes</label></td>
                                <td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo $InteresPorcentaje?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                              <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Monto Total </label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label req"><?php echo $MontoTotal?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                                <td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Saldo</label></td>
                                <td nowrap="nowrap" align="left">&nbsp;&nbsp;<label class="label"><?php echo $SaldoPrestamo;?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                              <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Estado</label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label req"><?php echo $DescripconEstadoPrestamo;?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Tipo</label></td>
                                <td nowrap="nowrap" align="left">&nbsp;&nbsp;<label class="label"><?php echo $TipoPrestamo;?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                        </table>
                        </fieldset>
                        <input type="hidden" name="IdMercado" id="IdMercado" value="<?php echo $i_IdMer ?>"/>

                        <?php
                         $s_Param = 'block=001';
                        if( isset( $i_IdClie ) )
                        {
                            $s_Param = 'block=001&i_NumVou='.$i_NumVou;
                        }
                        ?> 
                        
                        <fieldset>
                           <legend class="fielsettex"><I>Datos de Deposito</I></legend>
							<table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap">
                                    <table width="100%">
                                        <?php
                                        $FechaTransaccion = date( 'Y-m-d', mktime(0, 0, 0, date( "m" ), date( "d" )+1, date( "Y" ) ) );
                                        ?>
                                        <tr>
                                            <td nowrap="nowrap" width="18%"><label for="FechaTransaccion" class="label">F. Operacion</label></td>
                                            <td nowrap="nowrap">
                                                <label class="label req"><?php echo $FechaTransaccion ?></label>
                                                <input type="hidden" name="FechaTransaccion" id="FechaTransaccion" value="<?php echo $FechaTransaccion ?>"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Monto" class="label">Monto</label></td>
                                            <td><label class="label">S/ <?php echo $subtotal ?></label></td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="NumeroVoucher" class="label"># Operacion</label></td>
                                            <td><label class="label"><?php echo $numeroboucher;?></label></td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Banco" class="label">Banco</label></td>
                                            <td nowrap="nowrap">
                                            	<label class="label"><?php echo $banco;?></label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="NumeroCuenta" class="label"># Cuenta</label></td>
                                            <td nowrap="nowrap"><label class="label"><?php echo $numerocuenta?></label>
                                                
                                            </td>
                                        </tr>
										<tr>
                                            <td nowrap="nowrap"><label for="Archivo" class="label">Archivo</label></td>
                                            <td nowrap="nowrap"><label class="label"><a target="_blank" href="<?php echo substr($o_ObjectBean->getNombrearchivo(),2);?>"><img src="/images/common/buttons/btnReview.gif" title="Mostrar"></a></label>
                                                
                                            </td>
                                        </tr>
                                        
                                    </table>
									
                                </td>
                            </tr>
							
                        </table>
						</fieldset>
                    </td>
                </tr>
            </table>
        

    </div>
				
 		<form method="post" name="formulario" id="formulario">
            <input type="hidden" name="b_Control" id="b_Control" value="ok"/>
            <input type="hidden" name="idclase" id="idclase" value="<?php echo $i_IdClase ?>"/>
            <input type="hidden" name="idsucursal" id="idsucursal" value="<?php echo $i_IdSuc ?>"/>
            <input type="hidden" name="idmercado" id="idmercado" value="<?php echo $i_IdMer ?>"/>
            <input type="hidden" name="idcolaborador" id="idcolaborador" value="<?php echo $i_IdCol ?>"/>
            <input type="hidden" name="fecha" id="fecha" value="<?php echo $i_Fec ?>"/>
            <input type="hidden" name="idcliente" id="idcliente" value="<?php echo $i_IdCli ?>"/>
            <input type="hidden" name="idprestamo" id="idprestamo" value="<?php echo $i_IdPre ?>"/>
            <input type="hidden" name="numerovoucher" id="numerovoucher" value="<?php echo $i_NumVou ?>"/>

                <fieldset>
                           <legend class="fielsettex"><I>Validar</I></legend>
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap" colspan="2" width="70%">
                                		 <table cellpadding="5" cellspacing="5" border="0" width="100%">
				                            <tr>
				                                
				                                <td width="50%">
				                                    <input type="radio" name="estado" id="validacion1" value="C">&nbsp;&nbsp;
				                                    <label class="label" for="validacion1">Aceptar</label>
				                                </td>
				                                <td>
				                                    <input type="radio" name="estado" id="validacion2" value="R">&nbsp;&nbsp;
				                                    <label class="label" for="validacion2">Rechazar</label>
				                                </td>
				                                
				                            </tr>
											<tr>
	                                            <td nowrap="nowrap"  width="10%"><label for="ObservacionFinal" class="label">Comentario</label></td>
	                                            <td nowrap="nowrap"><textarea class="" name="ObservacionFinal" id="ObservacionFinal" rows="2" cols="60"></textarea></td>
	                                        </tr>
				                        </table>
                                </td>
                            </tr>
							
							<tr>
								<td colspan="2" align="center" width="100%">
									<table width="100%">
										<tr>
                                            <td width="100%" align="center">
                                                 <table width="100%" border="0">
                                                    <tr>
                                                        <td align="right" width="55%">
                                                        	<?php if($Estado == "P"){?>
                                                            <input type="submit" class="button" value="Guardar">
                                                            <?php }?>
                                                        </td>
                                                        <td width="45%">
                                                            <div id="s_ImagenLoad" style="display: none;"><img src="/images/progress.gif" border="0"/>&nbsp;<label class="laber req">Grabando...</label></div>
                                                            &nbsp;
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
									</table>
								</td>
							</tr>
                        </table>

                    </td>
                </tr>
            </table>
        </form>

    </div>
</fieldset>